## haskell-cereal 0.3.0.0

=== tests/Makefile ===
GHC	= ghc -O2 -fasm -fforce-recomp

all: bench qc

bench:: Benchmark.hs MemBench.hs CBenchmark.o
	$(GHC) -fliberate-case-threshold=1000 --make Benchmark.hs CBenchmark.o -o $@
	./$@ 100

CBenchmark.o: CBenchmark.c
	gcc -O3 -c $< -o $@

qc: Tests.hs
	$(GHC) --make $< -o $@
	./$@

clean:
	$(RM) *.o *.hi bench qc

.PHONY: clean bench bench-nb

=== debian/changelog ===
haskell-cereal (0.3.0.0-2) unstable; urgency=low

  * use ghc instead of ghc6. (Closes: #617574)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 08 Apr 2011 15:38:58 +0900

haskell-cereal (0.3.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #607423)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 18 Dec 2010 13:45:49 +0900

=== debian/control ===
Source: haskell-cereal
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), haskell-devscripts,
	ghc,
	ghc-prof,
	ghc-doc,
Standards-Version: 3.9.1
#Homepage: None

Package: libghc-cereal-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: binary serialization library
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-cereal-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: binary serialization library; profiling library
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-cereal-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: binary serialization library; documentation
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 This package contains the library documentation.

## haskell-cereal 0.3.3.0

=== tests/Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
-GHC	= ghc -O2 -fasm -fforce-recomp
+GHC	= ghc -O2 -fasm -fforce-recomp -i../src -prof
 
 all: bench qc
 
 bench:: Benchmark.hs MemBench.hs CBenchmark.o
 	$(GHC) -fliberate-case-threshold=1000 --make Benchmark.hs CBenchmark.o -o $@
 	./$@ 100
+
+bench-prof: Benchmark.hs MemBench.hs CBenchmark.o
+	$(GHC) -auto-all -rtsopts -fliberate-case-threshold=1000 --make Benchmark.hs CBenchmark.o -o $@
+	./$@ 100 +RTS -p
 
 CBenchmark.o: CBenchmark.c
 	gcc -O3 -c $< -o $@

=== debian/changelog ===
haskell-cereal (0.3.3.0-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 16:19:42 -0400

haskell-cereal (0.3.3.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Jun 2011 19:31:06 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	ghc,
 	ghc-prof,
 	ghc-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 #Homepage: None
 
 Package: libghc-cereal-dev

## haskell-cereal 0.3.4.0

=== debian/changelog ===
haskell-cereal (0.3.4.0-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 15 Nov 2011 11:10:46 +0900

## haskell-cereal 0.3.5.1

=== debian/changelog ===
haskell-cereal (0.3.5.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 17:16:18 +0100

## haskell-cereal 0.3.5.2

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GHC	= ghc -O2 -fasm -fforce-recomp -i../src -prof
+GHC	= ghc -O2 -fforce-recomp -i../src
 
 all: bench qc
 
@@ -7,7 +7,7 @@
 	./$@ 100
 
 bench-prof: Benchmark.hs MemBench.hs CBenchmark.o
-	$(GHC) -auto-all -rtsopts -fliberate-case-threshold=1000 --make Benchmark.hs CBenchmark.o -o $@
+	$(GHC) -prof -auto-all -rtsopts --make Benchmark.hs CBenchmark.o -o $@
 	./$@ 100 +RTS -p
 
 CBenchmark.o: CBenchmark.c

=== debian/changelog ===
haskell-cereal (0.3.5.2-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:04 +0200

haskell-cereal (0.3.5.2-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Oct 2012 16:19:19 +0200

haskell-cereal (0.3.5.2-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:23 +0200

haskell-cereal (0.3.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump to Standards-Version 3.9.3.
  * Add Homepage and Vcs-* headers.

 -- Clint Adams <clint@debian.org>  Sat, 16 Jun 2012 08:56:54 -0400

=== debian/control ===
Source: haskell-cereal
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.15),
	ghc,
	ghc-prof,
	ghc-doc,
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/cereal
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cereal
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cereal

Package: libghc-cereal-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

Package: libghc-cereal-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Suggests: ${haskell:Suggests}
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

Package: libghc-cereal-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|cereal-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/cereal \
    ([\d\.]*\d)/

## haskell-cereal 0.4.0.1

=== debian/changelog ===
haskell-cereal (0.4.0.1-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 Apr 2014 09:27:36 +0200

## haskell-cereal 0.4.1.1

=== debian/changelog ===
haskell-cereal (0.4.1.1-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:10 -0500

haskell-cereal (0.4.1.1-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:08 +0200

haskell-cereal (0.4.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:13 +0200

haskell-cereal (0.4.1.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 17:18:25 +0200

haskell-cereal (0.4.0.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:46 +0100

=== debian/control ===
Source: haskell-cereal
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/cereal
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-cereal-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

Package: libghc-cereal-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

Package: libghc-cereal-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: binary serialization library${haskell:ShortBlurb}
 A binary serialization library, similar to binary, that introduces an isolate
 primitive for parser isolation, and replaces the asynchronous errors with a
 user-handleable Either type.  Similar to binary in performance, but uses a
 strict ByteString instead of a lazy ByteString, thus restricting it to
 operating on finite inputs.
 .
 ${haskell:Blurb}

## haskell-cereal 0.5.2.0

=== debian/changelog ===
haskell-cereal (0.5.2.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Jun 2016 12:46:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,15 @@
  cdbs,
  ghc,
  ghc-prof,
+ libghc-fail-dev (>= 4.9),
+ libghc-fail-dev (<< 4.10),
+ libghc-fail-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.6
-Homepage: http://hackage.haskell.org/package/cereal
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+ libghc-fail-doc,
+Standards-Version: 3.9.8
+Homepage: https://github.com/GaloisInc/cereal
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cereal
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-cereal-dev
 Architecture: any

## haskell-cereal 0.5.3.0

=== debian/changelog ===
haskell-cereal (0.5.3.0-2build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 11:32:54 +0100

haskell-cereal (0.5.3.0-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:46 -0400

haskell-cereal (0.5.3.0-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 19:47:25 -0400

## haskell-cereal 0.5.4.0

=== debian/changelog ===
haskell-cereal (0.5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:59:16 -0400

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,15 @@
 Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
- libghc-fail-dev (>= 4.9),
- libghc-fail-dev (<< 4.10),
- libghc-fail-prof,
 Build-Depends-Indep: ghc-doc,
- libghc-fail-doc,
 Standards-Version: 3.9.8
 Homepage: https://github.com/GaloisInc/cereal
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cereal
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-cereal-dev
 Architecture: any

=== debian/watch ===
version=3
http://hackage.haskell.org/package/cereal/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cereal 0.5.5.0

=== debian/changelog ===
haskell-cereal (0.5.5.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:33:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/GaloisInc/cereal
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cereal
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cereal
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-cereal-dev
 Architecture: any

## haskell-cereal 0.5.7.0

=== debian/changelog ===
haskell-cereal (0.5.7.0-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:36:05 +0300

## haskell-cereal 0.5.8.1

=== debian/changelog ===
haskell-cereal (0.5.8.1-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 12:09:27 +0200

haskell-cereal (0.5.8.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 26 Jul 2019 22:24:25 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8),
@@ -12,7 +13,7 @@
 Standards-Version: 4.1.4
 Homepage: https://github.com/GaloisInc/cereal
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cereal
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cereal]
 
 Package: libghc-cereal-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/cereal/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cereal 0.5.8.2

=== debian/changelog ===
haskell-cereal (0.5.8.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Jul 2022 19:44:58 +0300

haskell-cereal (0.5.8.1-2) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 18:02:48 -0400

## haskell-cereal 0.5.8.3

=== debian/changelog ===
haskell-cereal (0.5.8.3-4) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 04 Jan 2026 17:08:13 +0200

haskell-cereal (0.5.8.3-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:39 +0300

haskell-cereal (0.5.8.3-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 12:39:46 +0300

haskell-cereal (0.5.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 21 Oct 2022 21:02:09 +0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts (>= 0.13),
- cdbs,
- ghc (>= 8),
+ dh-sequence-haskell,
+ ghc (>= 9.6),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: https://github.com/GaloisInc/cereal
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cereal
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cereal]
